Subject: Two consecutive clones of a remote produces different files

From: "Morten W. J." <[email-masked]>
Date: Fri, 15 Jul 2016 10:45:47 +0200

Hi All.

I have experienced something weird today. 

I have a repository hosted on a GitLab server on my LAN and when I clone that 
repository to a linux box and a windows box I get different files!

It is very hard to explain in words, so I have recorded my desktop while 
reproducing it, which I can do consistently:

https://dl.dropboxusercontent.com/u/5234017/git-clone-produces-different-results.ogv

I have no ideas what is wrong or why it behaves the way it does, but I am 
actually pretty scared now. The repository has been updated from as a subtree 
from another repository, but that should not create such behavior?

Can anybody give me some hints on what may be wrong and how I might get 
identical clones again?

Cheers,
    Morten